@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --primary-color: #e0e0e0;
    --secondary-color: #45494c;
    --text-color: #212529;
}
* { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; -o-box-sizing: border-box; -ms-box-sizing: border-box; box-sizing: border-box; }
*:before, *:after { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; -o-box-sizing: border-box; -ms-box-sizing: border-box; box-sizing: border-box; }
body {
    display: flex;
    box-sizing: border-box;
    min-height: 100vh;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    font-family: 'Poppins';
}

form {
    max-width: 300px;
    width: 100%;
    margin: auto;
    padding:20px;
    background: #fff;
border-radius: 20px;
color: #212529;
box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
}

form:focus-within {
    position: relative;
}

label {
    display: block;
    margin-top: 20px;
    font-weight: 500;
    font-size: 14px;
}

input {
    margin-top: 10px;
    width: 100%;
    padding: 12px;
    border: 0;
    border-radius: 20px;
    background-color: var(--primary-color);
    color: var(--text-color);
    font-size: 16px;
    outline: none;
    background: #fff;
    color: #212529;
    border: 1px solid #212529;
    transition: 0.35s all;
}

input:focus {
    box-shadow:
        0 1px 0 0 rgb(255 255 255 / 25%),
        0 -1px 0 0 rgb(255 255 255 / 25%),
        1px 0 0 0 rgb(255 255 255 / 25%),
        -1px 0 0 0 rgb(255 255 255 / 25%),
        1px -1px 0 0 rgb(255 255 255 / 50%),
        -1px 1px 0 0 rgb(255 255 255 / 50%),
        1px 1px 0 0 rgb(255 255 255 / 75%),
        -1px -1px 0 0 rgb(255 255 255 / 75%);
}

button {
    display: block;
    margin-top: 25px;
    width: 100%;
    padding: 12px;
    border: 0;
    border-radius: 20px;
    background-color: #212529;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    outline: none;
    transition: 0.35s all;
}

button:hover {
   background-color: #29b3e2;
   color: #fff;
}

#supportBtn {
    padding: 0px;
    margin-top: 40px;
    width: 100%;
    color: #212529;
    background-color: transparent;
    font-size: 0.7em;
    font-weight: bold;
    text-align: left;
    border-radius: 20px;
    transition: 0.2s ease-in;
    cursor: pointer;
}
#supportBtn:hover {
    transform: scale(0.9);
    box-shadow: none;
}
